# kparts Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KParts::PartActivateEvent Class Reference

This event is sent by the part manager when the active part changes. More...

`#include <event.h>`

Inheritance diagram for KParts::PartActivateEvent:

[legend]
Collaboration diagram for KParts::PartActivateEvent:

[legend]
List of all members.

## Public Member Functions

| PartActivateEvent (bool activated, Part *part, QWidget *widget)
bool | activated () const
Part * | part () const
QWidget * | widget () const

## Static Public Member Functions

bool | test (const QEvent *event)

## Detailed Description

This event is sent by the part manager when the active part changes.

Each time the active part changes, it will send first a PartActivateEvent with activated=false, part=oldActivePart, widget=oldActiveWidget and then another PartActivateEvent with activated=true, part=newPart, widget=newWidget.

See also:
  KParts::Part::partActivateEvent

Definition at line 74 of file event.h.

The documentation for this class was generated from the following files:

- event.h
- event.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:27:02 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001